Bug 145060 - smartd doesn works with 3ware controllers after kernel update
smartd doesn works with 3ware controllers after kernel update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 18:53 EST by Péter, Soós
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 14:15:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Péter, Soós 2005-01-13 18:53:39 EST
Description of problem: smartd doesn works 3ware  controllers after
kernel update to kernel-smp-2.6.10-1.8_FC2. Here are the entries from
kernel log:
program smartd is using a deprecated SCSI ioctl, please convert it to
SG_IO
3w-xxxx: SCSI_IOCTL_SEND_COMMAND deprecated, please update your 3ware
tools.
3w-xxxx: SCSI_IOCTL_SEND_COMMAND deprecated, please update your 3ware
tools.
3w-xxxx: SCSI_IOCTL_SEND_COMMAND deprecated, please update your 3ware
tools.
3w-xxxx: SCSI_IOCTL_SEND_COMMAND deprecated, please update your 3ware
tools.
3w-xxxx: SCSI_IOCTL_SEND_COMMAND deprecated, please update your 3ware
tools.


Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.131

How reproducible:
Always

Steps to Reproduce:
1. Upgrade your kernel
2. Try to run smartd with a 3ware controller
3.
  
Actual results:
smartd does not run

Expected results:
smartd runs

Additional info:
Here are my smartd.conf details:
/dev/sda -d 3ware,0 -H -m root@localhost.localdomain
/dev/sda -d 3ware,1 -H -m root@localhost.localdomain
/dev/sda -d 3ware,2 -H -m root@localhost.localdomain
Comment 1 Dave Jones 2005-01-13 19:29:45 EST
Does using
smartctl -a -d 3ware,0 /dev/twe0 -m root@localhost.localdomain

make it work again ? It should do, as it uses an alternative interface that
should still be present.
Comment 2 Gerald Cox 2005-01-15 15:12:03 EST
Problem also occurs in FC3 with latest kernel patch.

I tried the workaround above, placing the commands in my smartd.conf
and received the following error:

smartd[11286]: File /etc/smartd.conf line 1 (drive smartctl): unknown
Directive: /dev/twe0
smartd[11286]: Run smartd -D to print a list of valid Directives.
Jan 15 12:04:28 charon smartd[11286]: Configuration file
/etc/smartd.conf has fatal syntax errors.
smartd: smartd startup failed


Comment 3 Gerald Cox 2005-01-15 15:25:47 EST
OK, I changed the syntax around and here is a smartd.conf which now
appears to be working:

/dev/twe0 -a -d 3ware,0 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,1 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,2 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,3 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,4 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,5 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,6 -a -m root@localhost.localdomain
/dev/twe0 -a -d 3ware,7 -a -m root@localhost.localdomain
Comment 4 Péter, Soós 2005-01-24 04:34:35 EST
I have no /dev/twe0 on my Fedora Core 2. How to create it?
Comment 5 Brandon Poyner 2005-02-02 10:54:36 EST
The short answer is that smartd creates the twe device files when it 
finds /dev/twe0 in smartd.conf.  However the smartmontools included 
with FC2 (in the kernel-utils rpm) isn't up to date enough to create 
the twe device files.  I built the new smartmontools package using 
the development SRPM and installed that, which works just fine.

http://mirrors.kernel.org/fedora/core/development/i386/SRPMS/smartmont
ools-5.33-1.2.src.rpm

Once downloaded issue the command "rpmbuild --rebuild --define 'dist 
fc2' smartmontools-5.33-1.2.src.rpm" and the RPM should be found 
in /usr/src/redhat/RPMS/i386.
Comment 6 Péter, Soós 2005-02-02 12:52:10 EST
It works well, but I had to compile the following packages too...

dmidecode
lm_sensors
smartmontools
x86info
hardlink
irqbalance
cpuspeed
readahead
Comment 7 Matthew Miller 2005-04-26 11:09:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Dave Jones 2005-11-04 14:15:19 EST
FC4 split kernel-utils up, which makes it easier to upgrade to individual
packages.  The smartmontools package there should also be current.

Note You need to log in before you can comment on or make changes to this bug.